# Class EncodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.websocket.EncodeException

All Implemented Interfaces:
  `Serializable`

public class EncodeException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EncodeException(Object object, String message)`
`EncodeException(Object object, String message, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EncodeException

public EncodeException(Object object, String message)

### EncodeException

public EncodeException(Object object, String message, Throwable cause)

## Method Details

### getObject

public Object getObject()